php 跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1184182 漏洞类型 跨站脚本
发布时间 2009-01-02 更新时间 2009-01-02
CVE编号 CVE-2008-5814 CNNVD-ID CNNVD-200901-009
漏洞平台 N/A CVSS评分 2.6
|漏洞来源
https://www.securityfocus.com/bid/80793
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200901-009
|漏洞详情
PHP是服务器端脚本语言,特别适合于Web开发,可嵌入到HTML中,可以运行于Windows,Linux和许多Unix操作系统。PHP5.2.7以及之前的版本中存在跨站脚本攻击漏洞。当display_errors被激活时,远程攻击者可以借助未明向量,注入任意的web脚本或HTML。
|受影响的产品
PHP PHP 5.2.7 PHP PHP 5.2.6 PHP PHP 5.2.5 PHP PHP 5.2.4 PHP PHP 5.2.3 PHP PHP 5.2.2 PHP PHP 5.2.1 + Ubuntu Ubun
|参考资料

来源:XF
名称:php-directives-xss(47496)
链接:http://xforce.iss.net/xforce/xfdb/47496
来源:VUPEN
名称:ADV-2009-1338
链接:http://www.vupen.com/english/advisories/2009/1338
来源:UBUNTU
名称:USN-761-1
链接:http://www.ubuntulinux.org/support/documentation/usn/usn-761-1
来源:UBUNTU
名称:USN-761-2
链接:http://www.ubuntu.com/usn/USN-761-2
来源:REDHAT
名称:RHSA-2009:0350
链接:http://www.redhat.com/support/errata/RHSA-2009-0350.html
来源:DEBIAN
名称:DSA-1789
链接:http://www.debian.org/security/2009/dsa-1789
来源:SECUNIA
名称:35108
链接:http://secunia.com/advisories/35108
来源:SECUNIA
名称:35007
链接:http://secunia.com/advisories/35007
来源:SECUNIA
名称:35003
链接:http://secunia.com/advisories/35003
来源:SECUNIA
名称:34933
链接:http://secunia.com/advisories/34933
来源:SECUNIA
名称:34830
链接:http://secunia.com/advisories/34830
来源:HP
名称:SSRT090053
链接:http://marc.info/?l=bugtraq&m=124277349419254&w=2
来源:HP
名称:SSRT090053
链接:http://marc.info/?l=bugtraq&m=124277349419254&w=2
来源:JVNDB
名称:JVNDB-2008-000084
链接:http://jvndb.jvn.jp/en/contents/2008/JVNDB-2008-000084.html